Ndiswrapper and Kernel 2.6.10

Help
2005-01-17
2012-10-06
  • Dave Higdon

    Dave Higdon - 2005-01-17

    I have been unable to compile ndiswrapper (rc2 and previous versions) with a 2.6.10 kernel. There are various compile errors involving PCI state, etc. Most are located in ntoskernel.c.

    Has anyone successfully compiled and used this with the 2.6.10 kernel?

    -dh

     
    • Tim McGaha

      Tim McGaha - 2005-01-17

      Hi,

      I am using rc2 with this kernel (2.6.10-1.741_FC3) and no major problems.

      I just ran make install and then installed the driver for my particular card (DWL_520)

      from dmesg:

      ndiswrapper version 1.0rc2 loaded (preempt=no,smp=no)
      PCI: Found IRQ 9 for device 0000:00:10.0
      PCI: Sharing IRQ 9 with 0000:00:07.2
      ndiswrapper: using irq 9
      divert: allocating divert_blk for wlan0
      wlan0: ndiswrapper ethernet device 00:0d:88:c8:69:e9 using driver netr33x
      wlan0: encryption modes supported: WEP, WPA with TKIP, WPA with AES/CCMP
      ndiswrapper: driver netr33x () added

       
    • Cederik L. De León Acuńa

      I am using rc2 with this kernel (2.6.10) directly from kernel.org and no major problems.

      ndiswrapper: using irq 11
      wlan0: ndiswrapper ethernet device 00:90:96:c4:5b:c8 using driver bcmwl5
      wlan0: encryption modes supported: WEP, WPA with TKIP, WPA with AES/CCMP
      ndiswrapper: driver bcmwl5 (Broadcom,02/17/2004, 3.40.65.0) added

      Regards

       
    • Robert T Childers

      Also running rc2 with 2.6.10-gentoo

       

Log in to post a comment.